Skip to main content
`Ctrl`+`K`

# DMPlexUninterpolate

Take in a mesh with all intermediate faces, edges, etc. and return a cell-vertex mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexUninterpolate(DM dm, DM *dmUnint)

Collective

## Input Parameter

- dm - The complete `DMPLEX` object

## Output Parameter

- dmUnint - The `DMPLEX` object with only cells and vertices

## Note

It does not copy over the coordinates.

## Developer Notes

Sets plex->interpolated = `DMPLEX_INTERPOLATED_NONE`.

## See Also

`DMPLEX`, `DMPlexInterpolate()`, `DMPlexCreateFromCellListPetsc()`, `DMPlexCopyCoordinates()`

## Level

intermediate

## Location

src/dm/impls/plex/plexinterpolate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages